Name:           osgal
Version:        20060903
Release:        3%{?dist}
Summary:        Adapts OpenSceneGraph to use OpenAL++

Group:          System Environment/Libraries
License:        LGPL
URL:            http://www.vrlab.umu.se/research/osgAL
Source0:        http://download.gna.org/underware/sources/%{name}-cvs-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-cvs-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  OpenSceneGraph-devel openalpp-devel freealut-devel libvorbis-devel
BuildRequires:  libGL-devel libtool

%description
osgAL is a toolkit for handling spatial (3D) sound in the OpenSceneGraph
rendering library.

%package devel
Summary:        Library development files for osgal
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       openalpp-devel

%description devel
This package contains headers and libraries required to build applications
that use osgAL.


%prep
%setup -q -n %{name}-cvs-%{version}
sed -i -e 's/^\(CXXFLAGS="[^"]*\)/\1 $CXXFLAGS/' configure.in
chmod -x {include,src}/osg*/*
autoreconf --force --install

# Fix rpmlint errors
chmod -x AUTHORS COPYING NEWS README


%build
%configure --disable-static --disable-dependency-tracking
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# remove libtool archive
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


%check
make check


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/html/*
%{_includedir}/osgAL
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sun Feb 04 2007 Christopher Stone <chris.stone@gmail.com> 20060903-3
- Fix setting of CFLAGS in configure.in bug #227290

* Mon Jan 29 2007 Christopher Stone <chris.stone@gmail.com> 20060903-2
- Whitespace cleanups
- Remove unncessary BuildRequires
- Remove system command macros
- Use $RPM_BUILD_ROOT instead of %%{buildroot}
- Build with $RPM_OPT_FLAGS
- Remove libtool archive instead of %%excluding it

* Sat Oct 14 2006 Christopher Stone <chris.stone@gmail.com> 20060903-1
- Upstream sync

* Sun Sep 03 2006 Christopher Stone <chris.stone@gmail.com> 20060714-2
- Add patch for better linking

* Sat Sep 02 2006 Christopher Stone <chris.stone@gmail.com> 20060714-1
- Upstream sync
- Remove old patches
- Remove FC4 support

* Sun Jun 11 2006 Christopher Stone <chris.stone@gmail.com> 20060410-3
- Remove %%makeinstall macro
- Remove pkgconfig from BuildRequires since it's picked up from openalpp-devel
- Add %%defattr to devel subpackage

* Fri Jun 02 2006 Christopher Stone <chris.stone@gmail.com> 20060410-2
- Fix BuildRequires to work with both FC4 and FC5
- Update Summary and %%description
- Fix Group
- Use macros for system commands
- Add %%doc files to main and devel packages
- Add a %%check section
- Remove gcc-c++ from BuildRequires
- Add pkgconfig to BuildRequires
- Fix License tag
- Remove openal-devel since this is picked up by openalpp-devel
- Add openalpp-devel to devel package Requires

* Mon Apr 10 2006 Loic Dachary <loic at gnu.org> 20060410-1
- upstream sync

* Mon Mar 27 2006 Loic Dachary <loic at gnu.org> 20060215-3
- commented mesaLib-GL (fedora5 specific)

* Sun Mar 26 2006 Christopher Stone <chris.stone@gmail.com> 20060215-2
- Fix BuildRequires
- Add gcc41 patch

* Wed Mar 22 2006 Loic Dachary <loic@gnu.org> 20060215-1
- Initial RPM release
